%define agiros_distro loong
%bcond_without tests
%bcond_without weak_deps

%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      pick-ik

Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        1.0.1
Release:        1%{?dist}%{?release_suffix}
Summary:        Inverse Kinematics solver for MoveIt

License:        BSD-3-Clause
Source0:        %{name}_%{version}.orig.tar.gz

Patch0: pick-ik-fix-Catch2-error.patch

Requires: fmt-devel
Requires: agiros-%{agiros_distro}-generate-parameter-library
Requires: agiros-%{agiros_distro}-moveit-core
Requires: agiros-%{agiros_distro}-pluginlib
Requires: range-v3-devel
Requires: agiros-%{agiros_distro}-rclcpp
Requires: agiros-%{agiros_distro}-rsl
Requires: agiros-%{agiros_distro}-tf2-geometry-msgs
Requires: agiros-%{agiros_distro}-tf2-kdl
Requires: agiros-%{agiros_distro}-tl-expected
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: fmt-devel
BuildRequires: agiros-%{agiros_distro}-generate-parameter-library
BuildRequires: agiros-%{agiros_distro}-moveit-core
BuildRequires: agiros-%{agiros_distro}-pluginlib
BuildRequires: range-v3-devel
BuildRequires: agiros-%{agiros_distro}-rclcpp
BuildRequires: agiros-%{agiros_distro}-rsl
BuildRequires: agiros-%{agiros_distro}-tf2-geometry-msgs
BuildRequires: agiros-%{agiros_distro}-tf2-kdl
BuildRequires: agiros-%{agiros_distro}-tl-expected
BuildRequires: agiros-%{agiros_distro}-ament-cmake-ros
BuildRequires: Catch2-devel
BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-moveit-resources-panda-moveit-config
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description
Inverse Kinematics solver for MoveIt

%prep
%autosetup -p1

%build
# Needed to bootstrap since the ros_workspace package does not yet exist.
export PYTHONPATH=/opt/agiros/%{agiros_distro}/lib/python%{python3_version}/site-packages

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
mkdir -p .obj-%{_target_platform} && cd .obj-%{_target_platform}
%cmake3 \
    -UINCLUDE_INSTALL_DIR \
    -ULIB_INSTALL_DIR \
    -USYSCONF_INSTALL_DIR \
    -USHARE_INSTALL_PREFIX \
    -ULIB_SUFFIX \
    -DCMAKE_INSTALL_PREFIX="/opt/agiros/%{agiros_distro}" \
    -DAMENT_PREFIX_PATH="/opt/agiros/%{agiros_distro}" \
    -DCMAKE_PREFIX_PATH="/opt/agiros/%{agiros_distro}" \
    -DSETUPTOOLS_DEB_LAYOUT=OFF \
%if !0%{?with_tests}
    -DBUILD_TESTING=OFF \
%endif
    ..

%make_build

%install
# Needed to bootstrap since the ros_workspace package does not yet exist.
export PYTHONPATH=/opt/agiros/%{agiros_distro}/lib/python%{python3_version}/site-packages

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%make_install -C .obj-%{_target_platform}

%if 0%{?with_tests}
%check
# Needed to bootstrap since the ros_workspace package does not yet exist.
export PYTHONPATH=/opt/agiros/%{agiros_distro}/lib/python%{python3_version}/site-packages

# Look for a Makefile target with a name indicating that it runs tests
TEST_TARGET=$(%__make -qp -C .obj-%{_target_platform} | sed "s/^\(test\|check\):.*/\\1/;t f;d;:f;q0")
if [ -n "$TEST_TARGET" ]; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
CTEST_OUTPUT_ON_FAILURE=1 \
    %make_build -C .obj-%{_target_platform} $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 Tyler Weaver maybe@tylerjw.dev - 1.0.1-1
- Autogenerated by ros-porting-tools
